/*   Font   
font-family: 'Raleway', sans-serif;
font-family: 'Roboto Condensed', sans-serif;
*/

@import url('https://fonts.googleapis.com/css2?family=Raleway:wght@100;300;400&family=Roboto+Condensed:wght@300;700&display=swap');


/* General settings*/
*{
    margin:0;
    padding:0;
    box-sizing: border-box;
}



:root{
    --primary-font: 'Raleway', sans-serif;
    --secondary-font: 'Roboto Condensed', sans-serif;
    --primary-color:#4792a5;
    --light-color:#efefef;
    --dark-color:#3c3c3c;
    --general-transition: all .4s ease;
    
}
html {
    font-size:10px;
    color:var(--primary-color);
    font-family:var( --primary-font);
    scroll-behavior: smooth;
}
section{
    padding-top: 16rem;
    padding-bottom: 8rem;
    min-height: 100vh;
}
p{
    font-size: 1.4  rem;
    line-height:2.5rem;
    color:var(--dark-color);
}
h1,h2,h3,h4{
    color:var(--primary-color);
    font-family: var(--primary-font);
}

button{
    border:none;
    font:inherit;
    color:inherit;
    background-color: transparent;
    cursor: pointer;
}

a{
    text-decoration: none;
    font-family: var(--secondary-font);
}
img{
    width: 100%;
    max-width: 100%;
}

ul{
    list-style: none;

}
.container {
    width: 100%;
    max-width: 114rem;
    margin: 0 auto;
}


/**Custom Classes**/


.sec-grid {
    display:grid;
    grid-template-columns: 1fr 1fr;
    align-items:
     center;
    position: relative;
}
.vertical-title{
    font-size:2rem;
    font-family:var(--secondary-font);
    font-weight: 700;
    text-transform: uppercase;
    letter-spacing: .2rem;
    word-spacing: 1rem;
    display: inline-block;
    transform: rotate(-90deg);
    position: absolute;
    top:50%;
    left:-5%;
}
.vertical-title-right {
color:var(--light-color);
left:95%;
transform: rotate(90deg);
white-space: nowrap;

}


.btn-general{
    font-family: var(--secondary-font);
    font-size:1.4rem;
    text-transform: uppercase;
    margin: 2rem 0;
    padding:.5rem 2rem;
    letter-spacing: .2rem;
    font-weight: 700;
    border-radius:2rem;
    
}

.btn-light{
    color:var(--primary-color);
    border:2px solid var(--primary-color);
    transition: var(--general-transition);

}

.btn-light:hover{
    color:var(--light-color);
   background-color: var(--primary-color);
}
.btn-dark{
    color:var(--light-color);
    border:2px solid var(--light-color);
    transition: var(--general-transition); 
}
.btn-dark:hover{
    background-color:var(--light-color);
    border:2px solid var(--primary-color);
}

.horizontal-title{
    padding-bottom: 2rem;
    font-size:4rem;
    font-weight:300;
    
}
.primary-background{
   background-color: var(--primary-color);

}
.light-color{
    color: var(--light-color);
}




/*  Hero section*/
#Hero{
    width:100%;
    height: 100vh;
    background:linear-gradient(0deg,rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url('./img/main.jpg');
    background-size: cover;
    background-attachment: fixed;
    position: relative;
}
.hero-content{
    position: absolute;
    top:50%;
    left:50%;
    transform:translate(-50%,-50%);
    text-transform: uppercase;
    text-align: center;
    width: 90%;
}
.main-title{
    font-family: var(--primary-font);
    font-size: 8rem;
    font-weight: 100;
    letter-spacing: 2rem;
    padding-bottom: 2rem;
}
.main-slogan{
    font-size: 1.6rem;
    color:var(--light-color);
    letter-spacing: 2.4rem;
    padding-bottom: 2rem;
}
.arows{
    margin-left: 50%;
    padding-top: 4rem;
   
}
.arows span{
    display: block;
    width: 2rem;
    height: 2rem;
    border-bottom: 1px solid var(--primary-color);
    border-right: 1px solid var(--primary-color);
    transform:rotate(45deg);
    margin:-1rem;
    animation: arrows-animate 2s infinite;
}
.arows span:nth-child(2){
    animation-delay: -0.3s;
}

.arows span:nth-child(3){
    animation-delay: -0.6s;
}

@keyframes arrows-animate{
    0%
    {
        opacity: 0%;
        transform:rotate(45deg)translate(-2rem,-2rem);
    
    }

    50%{
        opacity: 1;

    }
    100%{
        opacity: 1;
        transform:rotate(45deg)translate(2rem,2rem);
    }
}

/*Navigation Menu*/
.nav{
    background-color:rgba(71, 146, 165, 1);
    position: fixed;
    top:0;
    width:100%;
    z-index:99;
}
.navbar{
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 8rem;
}
.nav-list{
    display: flex;

}
.nav-list:last-child{
    padding-right: 0;
}
.nav-item{
    padding: 0 2rem;

}
.nav-link{
    font-size:1.6rem;
    letter-spacing: .2rem;
    color:var(--light-color);
    font-weight: 700;
    transition:var(--general-transition);

}
.nav-link:hover{
    color: var(--dark-color);   
}

.nav-link::after{
    content:'';
    display: block;
    height: .2rem;
    width: 0;
    opacity: 0;
    background-color:var(--dark-color) ;
    transition:var(--general-transition);

}

.nav-link:hover::after{
    width: 100%;
    opacity: 1;
}
/** Logo**/
.logo{
    font-size: 4rem;
    width: 7rem;
    height: 7rem;
    background-color: var(--light-color);
    text-align: center;
    line-height: 7rem;
    border-radius: 50%;
    color:var(--primary-color);
    transition:var(--general-transition);
}

.logo:hover{
    background-color: var(--dark-color);
    color:var(--light-color);
}
.navbar-toggler{
    font-size: 2.2rem;
    position: absolute;
    right:2.5rem;
    z-index:100;
    display: none;
}
.navbar-toggler.line{
    width:2.5rem;
    height: .4rem;
    background-color:var(--dark-color);
    margin:.5rem;
    transition:var(--general-transition);
}
 

 /**About section**/

 .about-container{
    width: 100%;
    max-width: 114rem;
    margin: 0 auto; 
}

 .about-detail{
     margin-left:4rem;
     
 }
/** End About section**/


/**SERVICE  SECTION **/




.services-container{
    width: 100%;
    max-width: 114rem;
    margin: 0 auto;
}

.services-detail{
    margin-right:4rem;
    text-align: right;
    color: var(--dark-color);
    display:flex;
    flex-direction:column;
    align-items: flex-end;
  
}
.btn-arows{
    display:flex;
    padding-top:2rem;
  

}

#arow-left, #arow-right{
    cursor: pointer;
    margin-left: 2rem;
    color:var(--dark-color);
}

/**End SERVICE  SECTION **/

/**PORTFOLI SECTION **/
section#portfolio{
    padding-top: 8rem;
   
}

.portfloio-items{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr 1fr;
    grid-template-rows: auto;
    grid-template-areas:'item-1 item-2 item-3 item-3'
                        'item-1 item-4 item-5 item-6' 
                        'item-7 item-7 item-8 item-6';
}
.portfolio-item{
    width: 100%;
    height: 25rem;
    background-position:center;
    background-size: cover;
    background-repeat: no-repeat;
    position: relative;
    display:flex;
    align-items: center;
    justify-content: center;
}

.portfolio-item::before{
    content:'';
    position: absolute;
    background-color: rgba(71, 146, 165, .9);
    width: 0;
    height: 0;
    top:0;
    left:0;
    opacity: 0;
    transition: var(--general-transition);
}
.portfolio-item:hover::before{
    opacity:1;
    width:100%;
    height: 100%;
}

.portfolio-item span{
    font-size:5rem;
    color:var(--light-color);
    position: relative;
    z-index:90;
    opacity: 0; 
    transition: var(--general-transition);

}
.portfolio-item:hover span{
    opacity:1;
}

.portfolio-item-1{
    grid-area:item-1;
    min-height: 50rem;
    background-image: url('./img/portfolio-item-1.jpg');
}

.portfolio-item-2{
    grid-area:item-2;
    background-image: url('./img/portfolio-item-2.jpg');
}

.portfolio-item-3{
    grid-area:item-3;
    background-image: url('./img/portfolio-item-3.jpg');
}

.portfolio-item-4{
    grid-area:item-4;
    background-image: url('./img/portfolio-item-4.jpg');
}

.portfolio-item-5{
    grid-area:item-5;
    background-image: url('./img/portfolio-item-5.jpg');
}

.portfolio-item-6{
    grid-area:item-6;
    min-height: 50rem;
    background-image: url('./img/portfolio-item-6.jpg');
}

.portfolio-item-7{
    grid-area:item-7;
    background-image: url('./img/portfolio-item-7.jpg');
}

.portfolio-item-8{
    grid-area:item-8;
    background-image: url('./img/portfolio-item-8.jpg');
}

/**End PORTFOLI SECTION **


/**TEAM SECTION **/

.team-container{
    width: 100%;
    max-width: 114rem;
    margin: 0 auto;
}
.team-detail{
    margin-left:4rem;
    
}






.team-items{
    display:flex;

}

.team-item{
    position:relative;

}
.team-item-overlay{
    background-color:rgba(71, 146, 165, .9) ;
    position: absolute;
    overflow: hidden;
    top:0;
    left: 0;
    width: 0%;
    height: 0%;
    opacity: 0;
    transition: var(--general-transition);
}
.team-item-info {
    width: 100%;
    height: 100%;
    display:flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}
 .team-item:hover .team-item-overlay{
    width: 100%;
    height: 100%;
    opacity:1;
 }

 .team-item-info h5{
    color:var(--light-color);
    font-size:1.6rem;
    font-family: var(--secondary-font);
    text-transform: uppercase;
    letter-spacing: .2rem;

}

.team-item-info p{
    color: var(--light-color);
    font-size:2rem;
    padding:1.5rem 0;
    letter-spacing: .2rem;
    text-transform: uppercase;
    letter-spacing: .2rem;

}
ul.team-social-list{
    display:flex;
    line-height: 3.4rem;
}

ul.team-social-list li {
    padding:0;
}

ul.team-social-list li a {
    border:1px solid var(--light-color);
    border-radius: 50%;
    display:inline-block;
    height: 3.2rem;
    width: 3.2rem;
    margin:0 .5rem;
    transition: var(--general-transition);
}

ul.team-social-list li i{
    font-size: 1.5rem;
    color:var(--light-color);
}

ul.team-social-list li:nth-child(1) a:hover{
background-color: #ff0000;
border-color:transparent;
}

ul.team-social-list li:nth-child(2) a:hover{
    background-color: #38a1f3;
    border-color:transparent;
    }
 

    ul.team-social-list li:nth-child(3) a:hover{
        background-color: #0e76a8;
        border-color:transparent;
        }
     /** Block-Section**/
 
     .blog-container{
        width: 100%;
    max-width: 100rem;
    margin: 0 auto;
    }  
        .latest-post{
            display: flex;
            flex-direction: column;
        }
.blog-detail{
    margin-right:4rem;
    text-align: right;
    color: var(--dark-color);
    display:flex;
    flex-direction:column;
    align-items: flex-end;
  
}

.blog-post{
    background-color:var(--light-color);
    padding:2rem 1rem;
    margin-bottom:2rem;
    box-shadow:0 0 1rem 0 rgba(0,0,0,0.5);
    border-radius:.5rem;
}

.blog-post h4 {
    text-transform:uppercase;
    font-size:1.6rem;
    padding-bottom:1.4rem;
    color:var(--primary-color);
}

.blog-post p{
    font-size:1.2rm;
    line-height: 2rem;
}

.blog-post a{
    text-transform: uppercase;
    color:var(--primary-color);
    font-size:1.2rem;
    font-weight: 700;
    display: block;
    margin:1rem 0;
}

.post-meta{
    display:flex;
    justify-content: flex-start;
    align-items: center;
    border-top:.1rem solid
    var(--primary-color);
    padding-top:1rem;
}
 
.post-meta p {
    margin-left:1rem;
    text-transform:uppercase;
    padding-left:1.5rem;
}

.divider{
    color:var(--dark-color);
    margin-left:1rem;
    font-weight: bold;
}

.post-meta p.outhor{
    color:var(--primary-color);
    font-family: var(--secondary-font);
    font-weight: bold;
    transform:uppercase;
    letter-spacing: .1rem;
   
}

.post-meta img {
    height: 4rem;
    width: auto;
    border-radius:50%
}

section#contact{
    width: 100%;
    height: 100vh;
    background:linear-gradient(0deg,rgba(0,0,0,0.7),rgba(0,0,0,0.7)),url('./img/contact.jpg');
    background-size: cover;
    background-attachment: fixed;
    position :relative;
}

.contact-content{
    display:flex;
    flex-direction: column;
    justify-content: center;
    align-items:center;
}

.contact-content h2 {
  font-size:4rem;
  text-transform: uppercase;
  font-weight: 300;
  margin-bottom: 4rem;
}

.name, .email, .message{
    background: none;
    border: none;
    outline: none;
    border-bottom: .1rem solid var(--primary-color);
    min-width: 100%;
    max-width: 100%;
    padding: 2rem .5rem;
    color: var(--light-color);
    margin-bottom: 2rem;
}


::placeholder{
    color:var(--primary-color);
}

/**Footer Section**/

.footer-container{
    width: 100%;
    max-width: 114rem;
    margin: 0 auto;
  
}

footer{
    background-color: var(--dark-color);
    color:var(--light-color);
    padding: 2rem 0;
}

.footer-content{
    display:grid;
    grid-template-columns: 1fr 1fr 1fr;
    align-items: center;
}

.social-media{
    display:flex;
    align-items: center;
}

.social-media h4 {
    font-size: 1.4rem;
    font-weight: 300;
    text-transform: uppercase;
    letter-spacing: .1rem;
    white-space: nowrap;
}

.social-list{
    display:flex;
    margin-left:2rem;
    font-size:2rem; 
}

ul.social-list li{
    padding: 0;
    text-align: center;

}

ul.social-list li a{
    color:var(--light-color);
    border:1px solid var(--light-color);
    display: inline-block;
    height: 4rem;
    width: 4rem;
    border-radius: 50%;
    margin:0 .5rem;
    transition: var(--general-transition);
}

ul.social-list li i {
    line-height: 4rem;
}

ul.social-list li:nth-child(1) a:hover{
    background-color: #38A1F3;
    border: transparent;
}


ul.social-list li:nth-child(2) a:hover{
    background-color: #171515;
    border: transparent;
}


ul.social-list li:nth-child(3) a:hover{
    background-color: #385998;
    border: transparent;
}

ul.social-list li:nth-child(4) a:hover{
    background-color: #ff0000;
    border: transparent;
}

.copy-right{
    font-size: 1.4rem;
    text-transform: uppercase;
    letter-spacing: .2rem;
}


.back-top{
    justify-self: end;
    text-align: center;
    
    
    
}

.back-top i{
    font-size:2rem;
    
    
}

.back-top a{
    display: inline-block;
    height: 4rem;
    width: 4rem;
    border:.1rem solid var(--light-color);
    line-height: 4rem;
    border-radius: 50%;
    background-color: var(--primary-color);
    transition: var(--general-transition);
}


.back-top a:hover{
    border-color: transparent;
    background-color: var(--light-color);
    color:var(--primary-color);
}










